GET /whatsapp/calling

Calling configuration of the number

GET
/whatsapp/calling

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountId*string

WhatsApp account id

Response Body

WhatsAppCallingConfig + phoneNumberDocId

application/json
  1. response
phoneNumber?string|null
callingEnabled?boolean
callDeepLink?string|null
forwardTo?|

tel:+E164 / sip:user@host / wss://host

recordingEnabled?boolean
sipAuthUsername?string|null
sipAuthPasswordConfigured?boolean
callIconCountries?array<any>|null
outboundDisabled?boolean
callerIdMode?string
Value in"business""platform"
callerIdVerified?boolean
maxCallDurationSeconds?integer|null
forwardCallerId?string
Value in"business""caller"
phoneNumberDocId?string

Id for /phone-numbers/{id}/whatsapp/calling

Example Request
curl -X GET 'https://example.com/api/v1/whatsapp/calling?accountId=string'
Example Response
{  "phoneNumber": "string",  "callingEnabled": true,  "callDeepLink": "string",  "forwardTo": "string",  "recordingEnabled": true,  "sipAuthUsername": "string",  "sipAuthPasswordConfigured": true,  "callIconCountries": [],  "outboundDisabled": true,  "callerIdMode": "business",  "callerIdVerified": true,  "maxCallDurationSeconds": 0,  "forwardCallerId": "business",  "phoneNumberDocId": "string"}